Name: connexion-interface-cli
Version: 0.4.6
Release: alt1
BuildArch: noarch

%add_python_lib_path		%_datadir/%name
%add_python_compile_include	%_datadir/%name

Summary: Connexion project: command line interface
License: GPL
Group: Shells
Packager: Peter V. Saveliev <peet@altlinux.org>

Source0: %name.tar.gz


Requires: python-module-xreadline
Requires: python = %__python_version
BuildPreReq: python-devel = %__python_version

%description 
The Connexion project tries to implement both user and developer
friendly framework to create working environments by integrating
three major parts: services, modules and interfaces.

This package contains the command line interface.

%prep
%setup -q -c %name-%version-%release

%build

%install
install -D -m 755 connexion-cli %buildroot/%_bindir/connexion-cli
install -d -m 755 %buildroot/%_datadir/%name
cp -a *py %buildroot/%_datadir/%name

%files
%_bindir/connexion-cli
%_datadir/%name

%changelog
* Sun Mar 23 2008 Peter V. Saveliev <peet@altlinux.org> 0.4.6-alt1
- revision 1189:
	* server-side cookies
	* use XML for autocomletion (`list` module)

* Fri Oct 05 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt6
- revision 847:
	* back to compatible session init
	* server-side output buffer
	* work over trusted socket (#77)

* Fri Sep 28 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt5
- revision 834:
	* support for multiple trees
	* support for readline when xreadline is absent

* Sat Sep 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt4
- daemon mode support (-b to avoid stdin polling)
- shutdown command fixed

* Sat Sep 08 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.4-alt3
- parameters autocomplete
- bind Control-o as kill-whole-line
- bind Control-q as quit
- -a option, async access


* Fri Jul 06 2007 Peter V. Saveliev <peet@altlinux.ru> 0.4.4-alt2
- the package will not use setproctitle for a while

* Sun Jun 17 2007 Peter V. Saveliev <peet@altlinux.ru> 0.4.4-alt1
- -X option
- indent analyzer
- .source command

* Tue May 22 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.3-alt1
- correct resource input
- multipart/mixed+base64 stream support
- email reporting support

* Tue Apr 24 2007 Peter V. Saveliev <peet@altlinux.org> 0.4.1-alt1
- first Sisyphus build

